<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:lang="http://www.springframework.org/schema/lang"
	xmlns:tx="http://www.springframework.org/schema/tx"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.1.xsd
		http://www.springframework.org/schema/lang http://www.springframework.org/schema/lang/spring-lang-4.1.xsd
		http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-4.1.xsd
		http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-4.1.xsd">
		
		
	 <bean id="tibcoConnectionFactory" class="com.tibco.tibjms.TibjmsConnectionFactory">
	 	<constructor-arg value="${tibco.url}"/>
	 </bean>
	 
	 <bean id="connectionFactory" class="com.javahonk.messaging.ConnectionFactory" >
	 	<constructor-arg value="${tibco.user}"/>
	 	<constructor-arg value="${tibco.password}"/>
	 	<constructor-arg ref="tibcoConnectionFactory"/>
	 </bean>
	 
	 <bean id="tibcoPublisherConsumer" class="com.javahonk.messaging.TibcoPublisherConsumer">
		<constructor-arg ref="connectionFactory"/>
		<constructor-arg value="${tibco.msgType}"/>
		<constructor-arg value="${tibco.inputQueueName}"/>
		<constructor-arg value="${tibco.outputQueueName}"/>
	</bean>
	
	<bean id="tibcoPublisher" class="com.javahonk.messaging.TibcoPublisher">
		<constructor-arg ref="connectionFactory"/>
		<constructor-arg value="${tibco.spi.msgType}"/>
		<constructor-arg value="${tibco.spi.inputQueueName}"/>		
	</bean>
	 
</beans>
